Welcome to LordofSearch V1.027

LordofSearch V1.027 is a multithread file searching tool. It can search Internet Website, internet FTP sites, LAN shared drivers and LAN FTP servers for your desired files based on file type and/or file name pattern. Once it find the files matching your requirement, it will return file information such as file name, size, location to you. You can then download the files to your PC and enjoy MP3 song and MPEG movies...


LordofSearch Main Features

LordofSearch have very user friendly features:

  • You can specify any type of file and/or file name pattern for LordofSearch to search

  • You can search internet website, internet FTP site, LAN Windows systems, or FTP servers in the LAN

  • When Searching LAN shared driver, you can instruct LordofSearch to skip slow domains or machines.

  • When Search LAN FTP site, you can instruct LordofSearch to skip slow FTP sites, to scan non-windows FTP sites.

  • When searching Internet Web sites or Internet FTP sites for desired files, you can specify target file size and modified date

  • You can specify the number of threads that participate in the search. More thread means higher search speed

  • You can start a search, pause a search and later resume it, or stop a search completely.

  • While seach is in progress, you can get realtime searching status from searching log. This information help you identify problematic search target

  • If too many files are found, you can narrow down the search result by "Find By Filename" function. This will check/highlight files that matched given filename from the found file list.

  • Right click the returned file list in Search Tab, you can choose to download the found files to your computer

  • When download in progress, you can control the downloading process through right-click menu in Download Tab.

  • You can also specify the number of thread that participate in download to accelerate your downloading speed.

  • It has built in MediaPlayer so you don't have to leave LordofSearch to enjoy Music, Movie, image, etc.


Search Image Files from Website

  • First of all, if you are behind proxy, you need to configure from Option button=>Proxy tab

  • You can also specify HTTP timeout value here in case of slow or dead HTTP sites .

  • Since we want to search all image file in the website, we just input "*" in the Search Key Word Edit box. and click Image File Type Radio button [image] to tell LordofSearch that we want to search all kind of image file in given website.

  • Click Website Button. This will bring up the website search dialog for you

  • You need to give the Website URL in Search Dialog and Optionally, you can limit the search within certain file size range [image].

  • Press Start button in the Search Dialog to start the Search.

  • Soon the image files are found from target website. You can right click the file list to download files into your computer


Search PDF file from Internet FTP sites

  • First of all, if you are behind proxy, you need to configure from Option button=>Proxy tab

  • You can also specify FTP timeout value here in case of slow or dead FTP sites .

  • Specify the desired file name pattern as *.pdf. and click Free File Type Radio button to tell LordofSearch that You want to search PDF file

  • Click Internet FTP Button. This will bring up the Internet FTP search dialog for you

  • You need to give the FTP site URL in Search Dialog and by default, you don't need FTP username and passwd

  • Press Start button in the Search Dialog to start the Search.

  • Soon the files match the name pattern are found from target internet FTP sites.


Search MP3 files in LAN Shared Drivers

  • For example, We are interested in Audio files which contain "12", type that into the Search Key Word box.

    • ;

  • Click the Audio radio button [image] to tell LordofSearch search Audio file type.

  • Click "Lan Shared Driver" button to launch the search in LAN for any audio file containing "12" [image].

  • The files match the name pattern are found and display in the list

  • Right-click the returned file list [image] , you can choose to save all found files into your machine, or save highlighted file into your machine, or you can save only checked files.


Search zip file in LAN ftp servers

  • Type "*.zip" in the Search Key Word box [image] and choose Free File Type [image] to tell LordofSearch you want to search all Zip files.

  • Click Lan FTP Button to start the search. .

  • Soon the zip files are found in LAN FTP servers and display in the list

  • Right-click the returned file list [image] , you can choose to save all found files into your machine, or save highlighted file into your machine, or you can save only checked files.


Planned Features and Known Bugs

  • Future release will include Search in P2P network
  • Search Internet FTP site through Proxy sometime fail to find the files
  • For Website scan, the search is under URL base. If files are located on another web site or not under URL base, and if they are refered directly by scanned webpage, LordofSearch will return their information.
  • If you don't have current version of microsoft MediaPlayer(V9.**) installed, you may get "unsupported operation" error message, and the Movie player won't function properly.


It is Free!!!!

LordofSearch has powerful function and is easy to use. More importantly, it is totally free


Contact US

  • For sales and advertising information: sales@etexchange.com
  • For technical question: tech@etexchange.com
  • To suggest new features: tech@etexchange.com